### Method

# Gtk SectionModel get_section

since: 4.12

#### Declaration [src]

    void
    gtk_section_model_get_section (
      GtkSectionModel* self,
      guint position,
      guint* out_start,
      guint* out_end
    )

#### Description [src]

Query the section that covers the given position. The number of items in the section can be computed by `out_end - out_start`.

If the position is larger than the number of items, a single range from n_items to G_MAXUINT will be returned.

Available since: 4.12

#### Parameters

`position`

  Type: `guint`

  The position of the item to query.

`out_start`

  Type: `guint*`

  The position of the first item in the section.

  The argument will be set by the function.

`out_end`

  Type: `guint*`

  The position of the first item not part of the section anymore.

  The argument will be set by the function.